Bug 237532 - command service apcupsd status returns wrong value
Summary: command service apcupsd status returns wrong value
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: apcupsd   
(Show other bugs)
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-23 17:46 UTC by vikram goyal
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 3.12.4-5.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 20:09:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vikram goyal 2007-04-23 17:46:34 UTC
Description of problem:
service apcupsd status return value $? is 0 even if it is not running.

Version-Release number of selected component (if applicable):

apcupsd-3.12.4-4.fc6
How reproducible:

always
Steps to Reproduce:
1.service apcupsd status
2.echo $?
3.
  
Actual results:
0

Expected results:
1

Additional info:
adding || exit 1 in line 51 of /etc/init.d/apcupsd file will solve it

Comment 1 Orion Poplawski 2007-04-23 20:09:35 UTC
Fixed in 3.12.4-5.fc6.  Note that the script has been modified to follow LSB
conventions an will return different non-zero exits codes depending on the
situation.


Note You need to log in before you can comment on or make changes to this bug.